# dcat_lib.c File Reference

## Detailed Description

Contains the library API functions used by the dcat command line tool.

`#include "fs_tools_i.h"`
`#include <ctype.h>`

## Functions

uint8_t | tsk_fs_dcat (TSK_FS_INFO *fs, uint8_t lclflags, DADDR_T addr, DADDR_T read_num_units)
| Read a specific number of blocks and print the contents to STDOUT.

## Function Documentation

uint8_t tsk_fs_dcat | ( | TSK_FS_INFO * | fs,
|  | uint8_t | lclflags,
|  | DADDR_T | addr,
|  | DADDR_T | read_num_units
| ) |

Read a specific number of blocks and print the contents to STDOUT.

Parameters:

  | fs | File system to analyze
  | lclflags | flags
  | addr | Starting block address to read from
  | read_num_units | Number of blocks to read

Returns:
  1 on error and 0 on success